FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Ubuntu > Kubuntu User

 
 
LinkBack Thread Tools
 
Old 04-04-2008, 04:42 AM
James Gray
 
Default KDE4.0.3 install problem

Hi All,

As you can see (below) it appears either my mirrors are out of sync of there's
a real packaging bug here:

$ sudo apt-get install kde4-core kde4pim kde4graphics kdm-kde4 kde4network
kde4-devel kde4sdk koffice-kde4 umbrello-kde4
Reading package lists... Done
Building dependency tree
Reading state information... Done
kde4-core is already the newest version.
kde4pim is already the newest version.
kde4graphics is already the newest version.
kdm-kde4 is already the newest version.
kde4network is already the newest version.
kde4-devel is already the newest version.
koffice-kde4 is already the newest version.
umbrello-kde4 is already the newest version.
The following extra packages will be installed:
kde4sdk-data
The following NEW packages will be installed:
kde4sdk kde4sdk-data
0 upgraded, 2 newly installed, 0 to remove and 0 not upgraded.
186 not fully installed or removed.
Need to get 16.3MB of archives.
After unpacking 46.2MB of additional disk space will be used.
Do you want to continue [Y/n]? y
Get:1 http://mirror.optus.net gutsy/universe kde4sdk-data 3.94.0-0ubuntu1
[2015kB] sure how long this has been
Get:2 http://mirror.optus.net gutsy/universe kde4sdk 3.94.0-0ubuntu1 [14.3MB]
Fetched 16.3MB in 29s (557kB/s)
(Reading database ... 180705 files and directories currently installed.)
Unpacking kde4sdk-data (from .../kde4sdk-data_3.94.0-0ubuntu1_all.deb) ...
dpkg: error
processing /var/cache/apt/archives/kde4sdk-data_3.94.0-0ubuntu1_all.deb
(--unpack):
trying to overwrite
`/usr/lib/kde4/share/kde4/services/katekonsoleplugin.desktop', which is also
in package kate-kde4
dpkg-deb: subprocess paste killed by signal (Broken pipe)
Unpacking kde4sdk (from .../kde4sdk_3.94.0-0ubuntu1_i386.deb) ...
dpkg: error
processing /var/cache/apt/archives/kde4sdk_3.94.0-0ubuntu1_i386.deb
(--unpack):
trying to overwrite `/usr/lib/kde4/lib/kde4/katekonsoleplugin.so', which is
also in package kate-kde4
dpkg-deb: subprocess paste killed by signal (Broken pipe)
Errors were encountered while processing:
/var/cache/apt/archives/kde4sdk-data_3.94.0-0ubuntu1_all.deb
/var/cache/apt/archives/kde4sdk_3.94.0-0ubuntu1_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

So looks like the kde4sdk-data conflicts with some files from kate-kde4. Not
sure how long this has been a problem (or if it's just the mirror), but I've
tried 3 different mirrors doing:
sudo apt-get clean ; sudo apt-get --fix-missing update

...between installation attempts.

Is anyone else seeing this?

Regards,

James
--
Generosity and perfection are your everlasting goals.
--
kubuntu-users mailing list
kubuntu-users@lists.ubuntu.com
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/kubuntu-users
 
Old 04-04-2008, 04:54 AM
Terence Simpson
 
Default KDE4.0.3 install problem

James Gray wrote:
> Hi All,
>
> As you can see (below) it appears either my mirrors are out of sync of there's
> a real packaging bug here:
>
>
<SNIP>
> So looks like the kde4sdk-data conflicts with some files from kate-kde4. Not
> sure how long this has been a problem (or if it's just the mirror), but I've
> tried 3 different mirrors doing:
> sudo apt-get clean ; sudo apt-get --fix-missing update
>
> ...between installation attempts.
>
> Is anyone else seeing this?
>
> Regards,
>
> James
>
kde4pim, kde4graphics and kde4network are all old pre-release package,
that's why it's failing.
There is no PIM release for KDE4, so forget that one.
Replace kde4graphics and kde4network with kdegraphics-kde4 and
kdenetwork-kde4 respectively.


--
kubuntu-users mailing list
kubuntu-users@lists.ubuntu.com
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/kubuntu-users
 
Old 04-04-2008, 11:09 PM
James Gray
 
Default KDE4.0.3 install problem

On 04/04/2008, at 3:54 PM, Terence Simpson wrote:

James Gray wrote:

Hi All,

As you can see (below) it appears either my mirrors are out of sync
of there's

a real packaging bug here:



<SNIP>
So looks like the kde4sdk-data conflicts with some files from kate-
kde4. Not
sure how long this has been a problem (or if it's just the mirror),
but I've

tried 3 different mirrors doing:
sudo apt-get clean ; sudo apt-get --fix-missing update

...between installation attempts.

Is anyone else seeing this?

Regards,

James


kde4pim, kde4graphics and kde4network are all old pre-release package,
that's why it's failing.
There is no PIM release for KDE4, so forget that one.
Replace kde4graphics and kde4network with kdegraphics-kde4 and
kdenetwork-kde4 respectively.


Thanks Terence, you're advice worked a charm. I needed to conduct a
little 'apt-get -f install/remove' jiggery-pokery to remove the
kde4network package and resolve some dependancy problems, but after
that it all went through properly. I'm guessing the <foo>-kde4
packages are the right one to be using now?


Cheers,

James--
kubuntu-users mailing list
kubuntu-users@lists.ubuntu.com
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/kubuntu-users
 
Old 04-04-2008, 11:40 PM
"D. Michael McIntyre"
 
Default KDE4.0.3 install problem

On Friday 04 April 2008, James Gray wrote:
> that it all went through properly. I'm guessing the <foo>-kde4
> packages are the right one to be using now?

Yup, they sure are.
--
D. Michael McIntyre

--
kubuntu-users mailing list
kubuntu-users@lists.ubuntu.com
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/kubuntu-users
 

Thread Tools




All times are GMT. The time now is 11:06 AM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org